/// <reference types="node" />
import { RestClient, Session } from "@zowe/imperative";
import { IEndevorRestResponse } from "../../index";
import { IRequestRestResponse } from "./doc/IRequestRestResponse";
export declare class EndevorRestClient extends RestClient {
    static putJSONExpectJSON<T extends object>(session: Session, resource: string, payload: any): Promise<T>;
    static putJSONtoQueryExpectJSON<T extends object>(session: Session, resource: string, payload: any): Promise<T>;
    static getJSONtoQueryExpectJSON<T extends object>(session: Session, resource: string, payload: any): Promise<T>;
    static getJSONtoQueryExpectSTREAM(session: Session, resource: string, payload: any): Promise<IEndevorRestResponse>;
    static getJSONtoQueryExpectTEXT(session: Session, resource: string, payload: any): Promise<IEndevorRestResponse>;
    static deleteJSONtoQueryExpectJSON<T extends object>(session: Session, resource: string, payload: any): Promise<T>;
    static getReport(session: Session, resource: string): Promise<string>;
    static performGetRest(session: Session, resourceWithQuery: string, mheaders: any[]): Promise<IRequestRestResponse>;
    static postFormExpectJSON<T extends object>(session: Session, resource: string, postFormData: any): Promise<T>;
    static putFormExpectJSON<T extends object>(session: Session, resource: string, putFormData: any): Promise<T>;
    static postFormExpectBuffer(session: Session, resource: string, postFormData: any): Promise<Buffer>;
    static queryParameterString(resource: string, payload: any): string;
    static isEndevorRestResponse(str: string): boolean;
    static isJSON(str: string): boolean;
    static basicAuthHeader(session: Session): any;
    static getHeaderLinks(response: IRequestRestResponse): {
        [key: string]: string;
    };
}
