/// <reference types="node" />
import { Session, IHandlerParameters } from "@zowe/imperative";
import { IElementBasicData, IEndevorRestResponse } from "../../index";
export declare class EndevorUtils {
    static readonly ERROR_CODE = 12;
    static setInstance(args: {
        [key: string]: any;
    }): string;
    static formatDate(date: Date, endevorLike?: boolean): string;
    static formatTime(date: Date, sec?: boolean, delim?: string): string;
    static checkFormatDateTime(inputDateTime: string | undefined | null): Array<string | undefined>;
    static clearNullAndUndefinedProperties(o: any): void;
    static generalWriteFile(filePath: string, data: any, fileType?: string): string[];
    static generalAppendFile(filePath: string, data: any, fileType?: string): string[];
    static generalReadFile(filePath: string, binary?: boolean): Promise<string | Buffer>;
    static getWarnErrorInfo(returnCode: number, reasonCode: number, errorMessage: string): string[];
    static getLocationNotification(session: Session, action: string, location?: IElementBasicData, instance?: string): string[];
    static errorHandling(commandParameters: IHandlerParameters, restResponse: IEndevorRestResponse, maxRC: number, customizedErrMsg?: string, nomatch?: boolean, listInventoryName?: string): void;
    static ensureDirectoryExistence(filePath: string): void;
    static mkdirSyncRecursive(dirPath: string): void;
}
