"use strict";
/* eslint-disable @typescript-eslint/consistent-type-assertions */
/* eslint-disable @typescript-eslint/no-explicit-any */
/*
 * Copyright (c) 2020 Broadcom.
 * The term "Broadcom" refers to Broadcom Inc. and/or its subsidiaries.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *   Broadcom, Inc. - initial API and implementation
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteFilter = void 0;
const EndevorController_1 = require("../EndevorController");
const vscode = require("vscode");
const globals_1 = require("../globals");
function deleteFilter(arg) {
    if (arg.contextValue === 'filter') {
        const filter = arg.getEntity();
        if (filter) {
            globals_1.logger.trace(`Deleting filter ${filter.getName()}`);
            vscode.window
                .showWarningMessage('Delete filter: ' + filter.getName() + '?', 'OK')
                .then((message) => {
                if (message === 'OK') {
                    filter.deleteFilter();
                    EndevorController_1.EndevorController.instance.updateSettings();
                    globals_1.logger.trace(`Filter deleted.`);
                }
                else {
                    globals_1.logger.trace('Operation cancelled.');
                }
            });
        }
    }
}
exports.deleteFilter = deleteFilter;
//# sourceMappingURL=DeleteFilter.js.map