"use strict";
/* eslint-disable @typescript-eslint/no-explicit-any */
/*
 * Copyright (c) 2020 Broadcom.
 * The term "Broadcom" refers to Broadcom Inc. and/or its subsidiaries.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *   Broadcom, Inc. - initial API and implementation
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteHost = void 0;
const EndevorController_1 = require("../EndevorController");
const vscode = require("vscode");
const globals_1 = require("../globals");
function deleteHost(arg) {
    if (arg.contextValue === 'repository') {
        const repo = arg.getRepository();
        if (repo) {
            globals_1.logger.trace(`Remove configuration ${repo.getName()}`);
            vscode.window
                .showWarningMessage('Remove Configuration: ' + repo.getName() + '?', 'OK')
                .then((message) => {
                if (message === 'OK') {
                    const profileLabel = repo.getProfileLabel()
                        ? repo.getProfileLabel()
                        : '';
                    EndevorController_1.EndevorController.instance.removeRepository(repo.getName(), 
                    // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
                    profileLabel);
                    EndevorController_1.EndevorController.instance.updateSettings();
                    globals_1.logger.trace('Configuration removed');
                }
                else {
                    globals_1.logger.trace('Operation cancelled.');
                }
            });
        }
    }
}
exports.deleteHost = deleteHost;
//# sourceMappingURL=DeleteHost.js.map