"use strict";
/* eslint-disable @typescript-eslint/no-explicit-any */
/* eslint-disable @typescript-eslint/consistent-type-assertions */
/*
 * Copyright (c) 2020 Broadcom.
 * The term "Broadcom" refers to Broadcom Inc. and/or its subsidiaries.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *   Broadcom, Inc. - initial API and implementation
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.editFilter = void 0;
const FilterUtils_1 = require("../FilterUtils");
const EndevorController_1 = require("../EndevorController");
const vscode = require("vscode");
function editFilter(arg) {
    const inputBoxOptions = {
        value: arg.getEntity().getName(),
        prompt: 'Edit filter.',
        placeHolder: 'env/stgnum/sys/subsys/type/element',
        ignoreFocusOut: true,
        validateInput(value) {
            return FilterUtils_1.filterStringValidator(arg.getRepository(), value);
        },
    };
    vscode.window.showInputBox(inputBoxOptions).then((filterUri) => {
        if (filterUri) {
            if (arg.contextValue === 'filter') {
                const filter = (arg.getEntity());
                if (filter.getUri() !== filterUri) {
                    filter.editFilter(filterUri);
                    arg.children = [];
                    EndevorController_1.EndevorController.instance.updateSettings();
                }
            }
        }
    });
}
exports.editFilter = editFilter;
//# sourceMappingURL=EditFilter.js.map