"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable @typescript-eslint/no-explicit-any */
/* eslint-disable @typescript-eslint/consistent-type-assertions */
const assert = require("assert");
const vscode = require("vscode");
const doc_1 = require("../doc");
suite('Basic Extension Test Suite (integration)', () => {
    let extension;
    suiteSetup(() => {
        extension = doc_1.getExtension();
        extension.activate();
    });
    test('Extension loads in VSCode and is active', () => __awaiter(void 0, void 0, void 0, function* () {
        yield doc_1.timeout(3000);
        assert.strictEqual(extension.isActive, true);
    }));
    test('package.json commands registered in extension', (done) => {
        const commandStrings = extension.packageJSON.contributes.commands.map((c) => c.command);
        vscode.commands.getCommands(true).then((allCommands) => {
            const commands = allCommands.filter((c) => c.startsWith(`${doc_1.extensionShortName}.`));
            commands.forEach((command) => {
                const result = commandStrings.some((c) => c === command);
                assert.ok(result);
            });
            done();
        });
    });
});
//# sourceMappingURL=extension.test.js.map